javax.persistence.jdbc.driver=org.postgresql.Driver
javax.persistence.jdbc.url=jdbc:postgresql://52.172.54.231:9001/mosip_prereg
javax.persistence.jdbc.user=prereguser
javax.persistence.jdbc.password=Mosip@dev123

#Hibernate properties
hibernate.hbm2ddl.auto=update
hibernate.show_sql=true
hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
hibernate.jdbc.lob.non_contextual_creation=true

#swagger.base-url=http://localhost
server.servlet.context-path=/preregistration/v1
server.port=9092
mosip.kernel.prid.length=14
groupId.length=12

mosip.supported-languages=eng,ara,fra

dev.dns.url=http://dev.mosip.io
devops.dns.url=https://devops.mosip.io
int.dns.url=https://integ.mosip.io
qa.dns.url=https://qa.mosip.io

document.service.ip=localhost
document.service.port=9093
document.service.version=v0.1
resource.url=${qa.dns.url}/v1.0/pre-registration/registration/deleteAllByPreRegId
appointmentResourse.url=${qa.dns.url}/preregistration/v1/appointmentDetails
emailResourse.url=${dev.dns.url}/emailnotifier/v1.0/email/send
smsResourse.url=${dev.dns.url}/smsnotifier/v1.0/sms/send
cryptoResource.url=https://qa.mosip.io/v1/cryptomanager/
audit.url=https://qa.mosip.io/v1/auditmanager/audits
#audit.url=http://localhost:8081/auditmanager/v1.0/audits
resource.template.url=

id=mosip.pre-registration.demographic.create
version=1.0

mosip.kernel.jsonvalidator.file-storage-uri=
mosip.kernel.jsonvalidator.property-source=LOCAL

schemaName=mosip-prereg-identity-json-schema.json

mosip.kernel.prid.sequence-limit=3

# Number of digits in repeating block allowed in id. For example if limit is 2,
# then 4xxx4 is allowed but 48xxx48 is not allowed in id (x is any digit)
#to disable validation assign zero or negative value
mosip.kernel.prid.repeating-block-limit=3


# Lower bound of number of digits allowed in between two repeating digits in
# id. For example if limit is 2, then 11 and 1x1 is not allowed in id (x is any digit) to disable validation assign zero or negative value
mosip.kernel.prid.repeating-limit=2

# list of number that id should not be start with to disable null
mosip.kernel.prid.not-start-with=0,1

#restricted numbers for prid
mosip.kernel.prid.restricted-numbers=786,666

resource.template.url=${qa.dns.url}/masterdata/v1.0/templates
#document.resource.url=${qa.dns.url}/pre-registration/v1.0/document
document.resource.url=http://localhost:9093/preregistration/v1
booking.resource.url=${qa.dns.url}/preregistration/v1/

#------------------------Auth-Adapter-----------------------------------------------
# Auth Server token validation endpoint
auth.role.prefix=ROLE_
auth.header.name=Authorization

auth.server.refreshToken.url=

# UTC ISO Date Time Pattern
mosip.utc-datetime-pattern=yyyy-MM-dd'T'HH:mm:ss.SSS'Z'


auth.server.validate.url=https://qa.mosip.io/v1/authmanager/authorize/validateToken
 
 
email.acknowledgement.template=Email-Acknowledgement
email.acknowledgement.subject.template=Acknowledgement-email-subject
sms.acknowledgement.template=SMS-Acknowledgement
global.config.file=application-${spring.profiles.active}.properties
pre.reg.config.file=pre-registration-${spring.profiles.active}.properties

mosip.id.validation.identity.dateOfBirth=^\\d{4}/([0]\\d|1[0-2])/([0-2]\\d|3[01])$
mosip.id.validation.identity.phone=^([6-9]{1})([0-9]{9})$
mosip.id.validation.identity.email=^[\\w-\\+]+(\\.[\\w]+)*@[\\w-]+(\\.[\\w]+)*(\\.[a-z]{2,})$
mosip.id.validation.identity.postalCode=^[(?i)A-Z0-9]{6}$
mosip.id.validation.identity.CNIENumber=^([0-9]{10,30})$

preregistration.preid.regex=[0-9]+
mosip.kernel.crypto.symmetric-algorithm-name=
mosip.kernel.crypto.asymmetric-algorithm-name=
mosip.kernel.jsonvalidator.schema-name=mosip-identity-json-schema.json
mosip.kernel.jsonvalidator.file-storage-uri=http://104.211.212.28:51000/pre-registration/dev/0.10.0/
mosip.kernel.jsonvalidator.property-source=CONFIG_SERVER

mosip.preregistration.demographic.create.id=mosip.pre-registration.demographic.create
mosip.preregistration.demographic.update.id=mosip.pre-registration.demographic.update
mosip.preregistration.demographic.update.status.id=mosip.pre-registration.demographic.status.update
mosip.preregistration.demographic.retrieve.basic.id=mosip.pre-registration.demographic.retrieve.basic
mosip.preregistration.demographic.retrieve.details.id=mosip.pre-registration.demographic.retrieve.details
mosip.preregistration.demographic.retrieve.status.id=mosip.pre-registration.demographic.retrieve.status
mosip.preregistration.demographic.retrieve.date.id=mosip.pre-registration.demographic.retrieve.date
mosip.preregistration.demographic.delete.id=mosip.pre-registration.demographic.delete

mosip.nonmandatory.field=email,phone
mosip.pregistration.pagesize=20

# Application name - the name appended at starting of file name to differentiate
# between different property files for different microservices
spring.application.name=kernel-idobjectvalidator
 
#Active Profile - will relate to development properties file in the server.
#If this property is absent then default profile will be activated which is
#the property file without any environment name at the end.
spring.profiles.active=dev


# defining current branch in which we are working as label
spring.cloud.config.label=0.11.0
 
# url where spring cloud config server is running 
spring.cloud.config.uri=http://confighost:50000

# rest api where the files will be stored in git, change it accordingly in case of change of storage location.
mosip.kernel.idobjectvalidator.file-storage-uri=${spring.cloud.config.uri}/${spring.application.name}/${spring.profiles.active}/${spring.cloud.config.label}/

# Plug in property source as either 'LOCAL' or 'CONFIG_SERVER' or 'APPLICATION_CONTEXT' through this key
mosip.kernel.idobjectvalidator.property-source=CONFIG_SERVER


mosip.kernel.idobjectvalidator.valid-json-file-name=mosip-sample-identity-json-data.json

mosip.kernel.idobjectvalidator.schema-file-name=mosip-identity-json-schema-int.json 

mosip.kernel.idobjectvalidator.null-schema-file-name=kernel-json-validator-null-schema-for-testing.json

mosip.kernel.idobjectvalidator.invalid-schema-file-name=kernel-json-validator-invalid-syntax-schema-for-testing.json

mosip.kernel.idobjectvalidator.masterdata.languages.rest.uri=https://qa.mosip.io/v1/masterdata/languages
mosip.kernel.idobjectvalidator.masterdata.gendertypes.rest.uri=https://qa.mosip.io/v1/masterdata/gendertypes
mosip.kernel.idobjectvalidator.masterdata.documentcategories.rest.uri=https://qa.mosip.io/v1/masterdata/documentcategories
mosip.kernel.idobjectvalidator.masterdata.documenttypes.rest.uri=https://qa.mosip.io/v1/masterdata/documenttypes/{documentcategorycode}/{langcode}
mosip.kernel.idobjectvalidator.masterdata.locations.rest.uri=https://qa.mosip.io/v1/masterdata/locations/{langcode}
mosip.kernel.idobjectvalidator.masterdata.locationhierarchy.rest.uri=https://qa.mosip.io/v1/masterdata/locations/locationhierarchy/{hierarchyname} 
 
mosip.kernel.idobjectvalidator.schema-name=mosip-identity-json-schema.json
